%define sourcename jinliu-kwin-deco-chromi
%define sourceversion v0.2-0-g4390e63
%define oname jinliu-kwin-deco-chromi-4390e63

Name:		kde4-windeco-chromi
Summary:	Titlebar-less decoration inspired by Google Chrome and Nitrogen minimal mod
Version:	0.2
Release:	%mkrel 5
Source0:	%{sourcename}-%{sourceversion}.tar.xz
URL:		http://kde-look.org/content/show.php/Chromi?content=119069
Group:		Graphical desktop/KDE4
BuildRoot:	%{_tmppath}/%{oname}
License:	GPLv2+
BuildRequires:	kde-workspace-devel
BuildRequires:	cmake
BuildRequires:	libxorg-x11-devel
BuildRequires:	kdelibs-devel
Requires:	kde-workspace-core >= 4.6.3
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
Just use the small bar in the top-right corner as your good old titlebar.

Ctrl-MouseWheel grows/shrinks the bar. So if 
your window title is really long, you can make the bar wider.

Uses the Aurorae Theme Engine.

%prep
%setup -q -n %{oname}

%build
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%cmake_kde4
%make

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd
kbuildsycoca4

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG COPYING README THANKS
%{_libdir}/kde4/*.so
%{_datadir}/apps/aurorae/themes/chrome/chromerc
%{_datadir}/apps/aurorae/themes/chrome/*.svgz
%{_datadir}/apps/aurorae/themes/chrome/metadata.desktop
%{_datadir}/apps/kwin/chromi.desktop

%changelog
* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 0.2-5pclos2012
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.2-5_archie_2012
- rebuild

* Thu May 12 2011 Texstar <texstar at gmail.com> 0.2-4pclos2011
- update for kde 4.6.3

* Sat Sep 18 2010 Texstar <texstar at gmail.com> 0.2-3pclos2010
- fix dependency

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.2-2pclos2010
- rebuild for 4.5.1

* Mon Jul 26 2010 Chomp <chomptheman@gmail.com> 0.2-1pclos2010
- build
